[Twisted-Python] TLS broken with twisted.words.protocols.jabber

Jack Moffitt jack at chesspark.com
Sat Nov 22 13:02:01 EST 2008

> In other words, this really has nothing to do with Twisted, and everything
> to do with the fact that Debian should not be screwing around with OpenSSL.
>  Have they already forgotten what happened last time?

Nothing to do with Twisted, yet this means that all my users attempt
to use my code will likely fail unless they recompile their distro's
openssl or upgrade to the next  version (if it gets fixed upstream in
a next verison).

This essentially makes my code useless to many, not to mention a pain
in the ass for myself.

You've already committed the fix to 8.2 and trunk.  All I'm asking is
for a bugfix release for 8.1 and possibily 8.0.  I don't understand
why we are arguing about whether the fix is correct when the question
is whether to backport it; it is already accepted and committed.


More information about the Twisted-Python mailing list